﻿<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="3.5">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>9.0.21022</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{19F7C7B1-9620-4F42-8F62-7C8D68EA825A}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon>
    </ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>Castle.ActiveRecord.Framework.Internal.Tests</AssemblyName>
    <AssemblyOriginatorKeyFile>
    </AssemblyOriginatorKeyFile>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <RootNamespace>Castle.ActiveRecord.Framework.Internal.Tests</RootNamespace>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <StartupObject>
    </StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    <OldToolsVersion>2.0</OldToolsVersion>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>..\bin\temp\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
    <UseVSHostingProcess>true</UseVSHostingProcess>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Castle.Components.Validator, Version=0.0.1.0, Culture=neutral, PublicKeyToken=407dd0808d44fbdc, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Castle.Components.Validator.dll</HintPath>
    </Reference>
    <Reference Include="Castle.Core, Version=0.0.1.0, Culture=neutral, PublicKeyToken=407dd0808d44fbdc, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Castle.Core.dll</HintPath>
    </Reference>
    <Reference Include="Castle.DynamicProxy">
      <Name>Castle.DynamicProxy</Name>
      <HintPath>..\..\build\net-2.0\debug\Castle.DynamicProxy.dll</HintPath>
    </Reference>
    <Reference Include="Iesi.Collections, Version=1.0.0.1, Culture=neutral, PublicKeyToken=154fdcb44c4484fc">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Iesi.Collections.dll</HintPath>
    </Reference>
    <Reference Include="NHibernate, Version=1.0.1.0, Culture=neutral, PublicKeyToken=154fdcb44c4484fc">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\NHibernate.dll</HintPath>
    </Reference>
    <Reference Include="Nullables, Version=1.0.1.0, Culture=neutral, PublicKeyToken=154fdcb44c4484fc">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Nullables.dll</HintPath>
    </Reference>
    <Reference Include="Nullables.NHibernate, Version=1.0.1.0, Culture=neutral, PublicKeyToken=154fdcb44c4484fc">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Nullables.NHibernate.dll</HintPath>
    </Reference>
    <Reference Include="nunit.framework">
      <Name>nunit.framework</Name>
      <HintPath>..\..\build\net-2.0\debug\nunit.framework.dll</HintPath>
    </Reference>
    <Reference Include="System">
      <Name>System</Name>
    </Reference>
    <Reference Include="System.configuration" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data">
      <Name>System.Data</Name>
    </Reference>
    <Reference Include="System.Web" />
    <Reference Include="System.Xml">
      <Name>System.XML</Name>
    </Reference>
    <ProjectReference Include="..\Castle.ActiveRecord.Tests\Castle.ActiveRecord.Tests-vs2005.csproj">
      <Name>Castle.ActiveRecord.Tests</Name>
      <Project>{DA3F2E47-AB8A-4CEC-9EDE-81DFC029E53F}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
    </ProjectReference>
    <ProjectReference Include="..\Castle.ActiveRecord\Castle.ActiveRecord-vs2005.csproj">
      <Name>Castle.ActiveRecord</Name>
      <Project>{652F95D4-86E2-40B6-919D-CFC6E449386B}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AbstractActiveRecordTest.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssemblyAttributes.cs" />
    <Compile Include="AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssemblyXmlGenerationTestCase.cs" />
    <Compile Include="GraphConnectorTestCase.cs" />
    <Compile Include="ImportTestCase.cs" />
    <Compile Include="InflectorTestCase.cs" />
    <Compile Include="Model\BadCompositeKey.cs" />
    <Compile Include="Model\BaseJoinedClass.cs" />
    <Compile Include="Model\BelongsToWithFetch.cs" />
    <Compile Include="Model\CacheClass.cs" />
    <Compile Include="Model\ClassDiscriminatorLengthParent.cs" />
    <Compile Include="Model\ClassKeyAssigned.cs" />
    <Compile Include="Model\ClassWithBadCompositeKey.cs" />
    <Compile Include="Model\ClassWithBadMapping.cs" />
    <Compile Include="Model\BelongsToClassA.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\Category.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\ClassA.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\ClassDiscriminatorParent.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\ClassJoinedSubClassParent.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\ClassWithAnyAttribute.cs" />
    <Compile Include="Model\ClassWithCompositeKey.cs" />
    <Compile Include="Model\ClassWithMultiplePrimaryKeys.cs" />
    <Compile Include="Model\ClassWithOverride.cs" />
    <Compile Include="Model\Component.cs" />
    <Compile Include="Model\ComponentManyToClassA.cs" />
    <Compile Include="Model\CompositeKeyModels.cs" />
    <Compile Include="Model\ClassWithCustomPersister.cs" />
    <Compile Include="Model\ClassWithElementList.cs" />
    <Compile Include="Model\ClassWithMappedField.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\ClassWithoutPrimaryKey.cs" />
    <Compile Include="Model\ClassWithSomeCustomOptions.cs" />
    <Compile Include="Model\Company.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\CompositeKeyForClassWithCompositeKey.cs" />
    <Compile Include="Model\ClassADynamicInsertUpdate.cs" />
    <Compile Include="Model\HasManyWithBatch.cs" />
    <Compile Include="Model\ComponentWithNested.cs" />
    <Compile Include="Model\ComponentWithNested2LevelsDeep.cs" />
    <Compile Include="Model\HasManyDependentObjectsWithNested2LevelsDeep.cs" />
    <Compile Include="Model\IdBagPrimitive.cs" />
    <Compile Include="Model\JoinedSubClassWithPrimaryKey.cs" />
    <Compile Include="Model\SimpleNestedComponentWithFieldAccess.cs" />
    <Compile Include="Model\HasManyDependentObjectsWithNested.cs" />
    <Compile Include="Model\DictionaryModel.cs" />
    <Compile Include="Model\GenBaseJoinedClass.cs" />
    <Compile Include="Model\DiscriminatorGrandchild.cs" />
    <Compile Include="Model\Employee.cs" />
    <Compile Include="Model\EnumTestClass.cs" />
    <Compile Include="Model\GenClassJoinedSubClassParent.cs" />
    <Compile Include="Model\HasManyClassA.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\HasManyDependentObjects.cs" />
    <Compile Include="Model\HasManyToManyViaComponents.cs" />
    <Compile Include="Model\HasManyWithFetch.cs" />
    <Compile Include="Model\ImportClass.cs" />
    <Compile Include="Model\LazyClass.cs" />
    <Compile Include="Model\LazyClassWithoutVirtualPropertyOnBelongsTo.cs" />
    <Compile Include="Model\NotFoundBehaviourClass.cs" />
    <Compile Include="Model\Person.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\PropertyAccessHelperTests.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\SequenceParamClass.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\SimpleNestedComponent.cs" />
    <Compile Include="Model\TimestampedClass.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\VersionedClass.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\VersionedTimestampedClass.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="SemanticCheckTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="XmlGenerationTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <Service Include="{B4F97281-0DBD-4835-9ED8-7DFB966E87FF}" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>xcopy "$(ProjectDir)App.config" "$(TargetDir)" /y/c
move /y "$(TargetDir)App.config" "$(TargetDir)$(TargetFileName).config"</PostBuildEvent>
  </PropertyGroup>
</Project>